{% extends 'base.html' %}

{% block content %}
    <main>
        <h1>Accounts</h1>
            <table>
                <thead>
                    <tr>
                        <th>Name</th>
                        <th>Number</th>
                        <th>Number of Receipts</th>
                    </tr>
                </thead>

                <tbody>
                    {% for account in account_list %}
                    <tr>
                        <td>{{ account.name }}</td>
                        <td>{{ account.number }}</td>
                        {% comment %} to get the count or number of receipts {% endcomment %}
                        <td>{{ account.receipts.all|length }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
    </main>
{% endblock content %}